package mailbeans;

import java.util.*;
/**
 * This type was created in VisualAge.
 */
public class Base64 {
	final static char[] ALPHABET = {
		'A','B','C','D','E','F','G','H',
		'I','J','K','L','M','N','O','P',
		'Q','R','S','T','U','V','W','X',
		'Y','Z','a','b','c','d','e','f',
		'g','h','i','j','k','l','m','n',
		'o','p','q','r','s','t','u','v',
		'w','x','y','z','0','1','2','3',
		'4','5','6','7','8','9','+','/' };
	final static int ALPHABET_LENGTH=64;
/**
 * Base64 constructor comment.
 */
public Base64() {
	super();
}
/**
 * This method was created in VisualAge.
 * @return char[]
 * @param str java.lang.String
 */
public static int[] convert(String str) {
	int[] b = null;
	if ((str.length() % 4)==0) {
		//b = new int[str.length()/4*3];
		Vector v = new Vector();
		for (int i=0; i<str.length()/4; i++) {
			int i1 = 0;
			int i2 = 0;
			int i3 = 0;
			int i4 = 0;
			while ((i1<ALPHABET_LENGTH)&&(str.charAt(i*4)!=ALPHABET[i1])) i1++;
			while ((i2<ALPHABET_LENGTH)&&(str.charAt(i*4+1)!=ALPHABET[i2])) i2++;
			while ((i3<ALPHABET_LENGTH)&&(str.charAt(i*4+2)!=ALPHABET[i3])) i3++;
			while ((i4<ALPHABET_LENGTH)&&(str.charAt(i*4+3)!=ALPHABET[i4])) i4++;
			/*b[i*3] = ((i1 << 2)+(i2 >> 4))&255;
			b[i*3+1] = ((i2 << 4)+(i3 >> 2))&255;
			b[i*3+2] = ((i3 << 6)+i4)&255;*/
			v.addElement( new Integer(((i1 << 2)+(i2 >> 4))&255));
			v.addElement( new Integer(((i2 << 4)+(i3 >> 2))&255));
			v.addElement( new Integer(((i3 << 6)+i4)&255));

		}
		if (str.endsWith("=")) {
			b = new int[v.size()-1];
			int i = 0;
			for (Enumeration e=v.elements(); e.hasMoreElements()&&(i<v.size()-1);) {
				b[i++] = ((Integer)e.nextElement()).intValue();
			}
		} else if (str.endsWith("==")) {
			b = new int[v.size()-2];
			int i = 0;
			for (Enumeration e=v.elements(); e.hasMoreElements()&&(i<v.size()-2);) {
				b[i++] = ((Integer)e.nextElement()).intValue();
			}

		} else {
			b = new int[v.size()];
			int i = 0;
			for (Enumeration e=v.elements(); e.hasMoreElements();) {
				b[i++] = ((Integer)e.nextElement()).intValue();
			}
		}
	}
	return b;
}
}