package mailbeans;

import java.util.*;
import java.io.*;
/**
 * This type was created in VisualAge.
 */
public class MimeTypesLoader {
	SimpleClassLoader sc = new SimpleClassLoader();
	Vector mimeTypes = new Vector();
/**
 * MimeTypesLoader constructor comment.
 */
public MimeTypesLoader(String path) {
	super();

	Object o;
	String[] files;
	
	File f = new File(path+File.separatorChar+"mailbeans"+File.separatorChar+"mimetypes");
	//File f = new File(path+"\\mailbeans\\mimetypes");
	//System.out.println(path+File.separatorChar+"mailbeans"+File.separatorChar+"mimetypes");
	String str[] = f.list();
	if (str!=null) {
		for (int i=0; i<str.length; i++) {
			if ((str[i].toLowerCase()).endsWith(".class")) {
				try {
					o = (sc.loadClass("mailbeans.mimetypes."+str[i].substring(0,str[i].length()-6))).newInstance();
					if (o instanceof MimeConcreteType) {
						mimeTypes.addElement(o);
					}
				} catch (Exception e) {
					System.out.println("Exception: "+e+" "+str[i]);
				}
			}
		}
	}
}
/**
 * This method was created in VisualAge.
 * @return java.util.Enumeration
 */
public Enumeration elements() {
	return mimeTypes.elements();
}
/**
 * This method was created in VisualAge.
 * @return mailbeans.MimeTypes
 */
public Vector getMimeTypes() {
	return mimeTypes;
}
}