package mailbeans;

import java.awt.*;
import java.awt.event.*;
import java.beans.*;
/**
 * This type was created in VisualAge.
 */
public class PasswordEditor extends Panel implements java.beans.PropertyEditor, TextListener {
	private String password = "";
	private TextField tf;
	private PropertyChangeSupport support = new PropertyChangeSupport(this);
/**
 * POP3PasswordEditor constructor comment.
 */
public PasswordEditor() {
	setLayout(new BorderLayout());
	tf = new TextField();
	tf.setEchoChar('*');
	add(tf);
	tf.addTextListener(this);
}
/**
 * This method was created in VisualAge.
 * @param l java.beans.PropertyChangeListener
 */
public void addPropertyChangeListener(PropertyChangeListener l) {
	support.addPropertyChangeListener(l);
}
/**
 * This method was created in VisualAge.
 * @return java.lang.String
 */
public String getAsText() {
	return null;
}
/**
 * This method was created in VisualAge.
 * @return Component
 */
public Component getCustomEditor() {
	return this;
}
/**
 * This method was created in VisualAge.
 * @return java.lang.String
 */
public String getJavaInitializationString() {
	return null;
}
/**
 * This method was created in VisualAge.
 * @return java.awt.Dimension
 */
public Dimension getMinimumSize() {
	return new Dimension(100, 40);
}
/**
 * This method was created in VisualAge.
 * @return java.lang.String[]
 */
public String[] getTags() {
	return null;
}
/**
 * This method was created in VisualAge.
 */
public Object getValue() {
	return password;
}
/**
 * This method was created in VisualAge.
 * @return boolean
 */
public boolean isPaintable() {
	return true;
}
/**
 * This method was created in VisualAge.
 * @param gfx java.awt.Graphics
 * @param box java.awt.Rectangle
 */
public void paintValue(Graphics gfx, Rectangle box) {
	Color oldColor = gfx.getColor();
	gfx.setColor(Color.black);
	gfx.drawRect(box.x, box.y, box.width-3, box.height-3);
	FontMetrics fm = gfx.getFontMetrics();
	gfx.setColor(oldColor);
}
/**
 * This method was created in VisualAge.
 * @return java.awt.Dimension
 */
public Dimension preferredSize() {
	return new Dimension(200,35);
}
/**
 * This method was created in VisualAge.
 * @param l java.beans.PropertyChangeListener
 */
public void removePropertyChangeListener(PropertyChangeListener l) {
	support.removePropertyChangeListener(l);
}
/**
 * This method was created in VisualAge.
 * @param s java.lang.String
 */
public void setAsText(String s) throws IllegalArgumentException {
	throw new IllegalArgumentException(s);
}
/**
 * This method was created in VisualAge.
 * @param v java.lang.Object
 */
public void setValue(Object o) {
	password = (String)o;
	support.firePropertyChange("", null, null);
}
/**
 * This method was created in VisualAge.
 * @return boolean
 */
public boolean supportsCustomEditor() {
	return true;
}
/**
 * This method was created in VisualAge.
 * @param e java.awt.event.ActionEvent
 */
public void textValueChanged(TextEvent e) {
	password = tf.getText();
	support.firePropertyChange("", null, null);
}
}