package mailbeans;

import java.awt.*;
import java.awt.event.*;
import java.util.*;
/**
 * This type was created in VisualAge.
 */
public class InBox extends MailBox implements ActionListener {
	java.awt.List list;
/**
 * OutBox2 constructor comment.
 */
public InBox() {
	super();
	setLayout(new BorderLayout());
	list = new java.awt.List();
	add(list);
	list.addActionListener(this);
}
/**
 * This method was created in VisualAge.
 */
public void actionPerformed(ActionEvent e) {
	if (e!=null) {
		fireShowMessage(getSelectedMessage());
	}
}
/**
 * This method was created in VisualAge.
 * @param msg mailbeans.Message
 */
public void addMessage(Message msg) {
	super.addMessage(msg);
	String from ="";
	StringTokenizer st = new StringTokenizer(msg.getFrom(), "<>");
	while (st.hasMoreTokens()) {
		from=st.nextToken();
	}
	list.add(from+"     "+msg.getSubject());
}
/**
 * This method was created in VisualAge.
 * @param pos int
 */
public void deleteMessage(int index) {
	super.deleteMessage(index);
	list.remove(0);
}
/**
 * This method was created in VisualAge.
 * @return java.awt.Dimension
 */
public Dimension getPreferredSize() {
	return new Dimension(100,100);
}
/**
 * getSelectedMessage method comment.
 */
public Message getSelectedMessage() {
	return getMessage(list.getSelectedIndex());
}
/**
 * This method was created in VisualAge.
 * @param e mailbeans.MessageEvent
 */
public void handleMessage(MessageEvent e) {
	super.handleMessage(e);
}
}